Package org.eclipse.pde.ui

# Interface IExtensionWizard

All Superinterfaces:
  `IBasePluginWizard`, `IWizard`

public interface IExtensionWizard extends IBasePluginWizard
An interface for extension wizards. Clients should implement this interface if they are plugging into PDE using `org.eclipse.pde.ui.newExtension` extension point.

Since:
  2.0
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`init(IProject project, IPluginModelBase pluginModel)`
Initializes the wizard with the project of the plug-in and the model object for the plug-in manifest file.

### Methods inherited from interface org.eclipse.jface.wizard.IWizard

`addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getMinimumWizardSize, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, performFinish, setContainer`

## Method Details

### init

void init(IProject project, IPluginModelBase pluginModel)
Initializes the wizard with the project of the plug-in and the model object for the plug-in manifest file. Java code and other resorces should be created in the source folder under the provided project. Changes in the plug-in manifest should be made using the APIs of the provided model. Changing the model will make the model dirty. This will show up in the UI indicating that the currently opened manifest file is modified and needs to be saved.

Although the wizard is launched to create an extension, there is no reason a wizard cannot create several at once.

Parameters:
  `project` - the plug-in project resource where the new code and resources should go
  `pluginModel` - the model instance that should be used to modify the plug-in manifest